### Function

# Gio DtlsClientConnection new

since: 2.48

#### Declaration

    GDatagramBased*
    g_dtls_client_connection_new (
      GDatagramBased* base_socket,
      GSocketConnectable* server_identity,
      GError** error
    )

#### Description

Creates a new `GDtlsClientConnection` wrapping `base_socket` which is assumed to communicate with the server identified by `server_identity`.

Available since: 2.48

#### Parameters

`base_socket`

  Type: `GDatagramBased`

  The `GDatagramBased` to wrap.

  The data is owned by the caller of the function.

`server_identity`

  Type: `GSocketConnectable`

  The expected identity of the server.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GDtlsClientConnection`

The new `GDtlsClientConnection`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.